#pragma once

#include "CoreMinimal.h"
#include "DestroyWithPower.h"
#include "DBDTunableRowHandle.h"
#include "EDetectionZone.h"
#include "GameplayTagContainer.h"
#include "PulldownDestroyWithPowerAttack.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UPulldownDestroyWithPowerAttack : public UDestroyWithPower
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _demogorgonPowerRecoveryTime;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	EDetectionZone _standardZoneType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	EDetectionZone _extendedZoneType;

	UPROPERTY(EditAnywhere)
	FGameplayTag _chainsawHalfDamageModifierTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FName _palletPullUpInteractionID;

public:
	UPulldownDestroyWithPowerAttack();
};

FORCEINLINE uint32 GetTypeHash(const UPulldownDestroyWithPowerAttack) { return 0; }
